body{
    overflow: hidden;
    /* background-size: url(akiraBackground.png);
    background-size: none ;
    

    background-repeat: no-repeat;
	background-attachment:none ; */

}


.vaisseau{
    display: block; 
    position: absolute;
    /* transform: rotate(90deg) */

}



.hadoken{

    display: none;

}

.ennemi{

    position: absolute ;



    animation-duration: 3s;
    animation-name: slidein;
    animation-timing-function: linear;
    /* animation-iteration-count: 5 */
    
}

@keyframes slidein {
    from {
      margin-left: 100%;
      /* width: 300%;  */
    }
  
    to {
      margin-left: -50%;
      /* width: 100%; */
    }
  }

  .ennemi2{

    position: absolute ;



    /* animation-duration: 5s;
    animation-name: ennemi2;
    animation-timing-function: linear;
    animation-direction: alternate; */
    /* animation-iteration-count: 5 */

    -webkit-animation-name: zigzag;
    animation-name: zigzag;
    -webkit-animation-duration: 3s;
    animation-duration: 3s;
    -webkit-animation-timing-function: linear;
    animation-timing-function: linear;
    
    /* -webkit-animation-iteration-count: infinite; */
    /* animation-iteration-count: 3; */
    -webkit-animation-direction: reverse;
    animation-direction: reverse;
}


@keyframes zigzag {
  from {
    left: -50%;
    top: 0;
  }
  to{
    left: 100%;
  }
  25% {
    top: 200px;
  }
  40% {
     
    top: 500px;
  }
  
  55% {
     
    top: 200px;
  }
  70% {
     
    top: 500px;
  }
  85% {
     
    top: 200px;
  }
  100% {
     
    top: 500px;
  }
}

.boss{

  position: absolute;

  /* -webkit-animation-timing-function: linear;
    animation-timing-function: linear;
    -webkit-animation-name: boss;
    animation-name: boss;
    -webkit-animation-duration: 3s;
    animation-duration: 3s;
    animation-fill-mode: none; */
  animation: boss 2s linear; 

  -webkit-animation-direction: alternate;
  animation-direction: alternate;
  left: 70%;
  
}

@keyframes boss {
  from {
    left: 100%;
    
  
    
  }
  to{
    left: 70%;
    
    
    }
    


}

.boss2{


  position: absolute ;



  /* animation-duration: 5s;
  animation-name: ennemi2;
  animation-timing-function: linear;
  animation-direction: alternate; */
  /* animation-iteration-count: 5 */

  animation: boss2 2s linear infinite;
  
  /* -webkit-animation-iteration-count: infinite; */
  /* animation-iteration-count: 3; */
  -webkit-animation-direction: alternate ;
  animation-direction: alternate ;

}


@keyframes boss2{

  from {
    top: 0;

  }

  to {


    top: 200px;

  }


}


/* 
@keyframes ennemi2 {
    from {
      margin-left: 100%;
      margin-top:  10%;
      animation-duration: alternate;
      width: 300%; 
    }
  
    to {
      margin-left: -50%;
      margin-top: -30%;
      animation-duration: alternate;
      width: 100%;
    }
  } */



  

.laser{

    position: absolute;

    animation-duration: 1s;
    animation-timing-function: linear ;
    animation-iteration-count: 1;
    animation-name: bullet;
}

@keyframes bullet {

   
  
    to {
      margin-left: 90%;
      /* width: 100%; */
    }
  }

  .laserEnnemi{
    /* background: white;
    width: 30px;
    height: 20px; */
    position: absolute;

    animation-duration: 2s;
    animation-timing-function: linear;
    animation-name: bulletEnnemi;
    animation-iteration-count: 1;
    transform: rotate(180deg);
}

@keyframes bulletEnnemi {

  
    to {
      margin-left: -150%;
      /* width: 100%; */
    }
  }

  .laserBoss{
   
    position: absolute;

    animation-duration: 2s;
    animation-timing-function: linear;
    animation-name: bulletEnnemi;
    animation-iteration-count: 1;

}

@keyframes bulletEnnemi {

  
    to {
      margin-left: -150%;
      /* width: 100%; */
    }
  }
  









  .foreground, .midground, .background {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0; left: 0;
 
  }
  
  .foreground {
    animation: parallax_fg linear 10s infinite both;
    /* background:  url(http://stash.rachelnabors.com/24ways2012/foreground_grass.png) 0 100% repeat-x; */
    z-index: 3;
  }

  
  @keyframes parallax_fg {  
    0% { background-position: 3584px 100%;} 
    100% {background-position: 0 100%; } 
  }
  
  
  .midground {
    animation: parallax_mg linear 20s infinite;
    /* background:  url(http://stash.rachelnabors.com/24ways2012/midground_grass.png) 0 100% repeat-x; */
    z-index: 2;
  }
  
  @keyframes parallax_mg {  
    0% { background-position: 3000px 100%;} 
    100% {background-position: 0 100%; } 
  }
  
  .background {
    background-image:
      /* url(http://stash.rachelnabors.com/24ways2012/background_mountain5.png),
      url(http://stash.rachelnabors.com/24ways2012/background_mountain4.png),
      url(http://stash.rachelnabors.com/24ways2012/background_mountain3.png), */
      /* url(http://www.pngmart.com/files/3/Star-PNG-Pic.png), */
      url(fonf\ niveau\ pluie.gif);
    background-repeat: repeat-x;
    background-size: contain; 
    background-position: 0 100%;
    z-index: 1;
    animation: parallax_bg linear 40s infinite;
  }
  
  @keyframes parallax_bg {
    0% { 
        background-position-x: 2400px, 2000px, 1800px, 1600px, 1200px;}

  }
  
  body {
      background: linear-gradient(top, rgba(255,255,255,1) 0%,rgba(255,255,255,0) 100%),
      #d2d2d2 url(http://stash.rachelnabors.com/24ways2012/background_clouds.png);
  }

  